Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.windows.natives
Interface Select

All Superinterfaces:
  Library

All Known Implementing Classes:
  SelectImpl

    public interface Select

extends Library

java wrapper around #include

Field Summary
`static int` | `fd_set_SIZEOF` The maximum number of file descriptors that a fd_set object can hold information about.
`static int` | `FD_SETSIZE` The maximum number of file descriptors that a fd_set object can hold information about.
`static Select` | `INSTANCE`

Method Summary
`void` | `FD_CLR(int fd, Pointer fd_set)` removes fd from fdset
`boolean` | `FD_ISSET(int fd, Pointer fd_set)` is non-zero if fd is a member of fd_set, zero otherwise.
`void` | `FD_SET(int fd, Pointer fd_set)` includes a particular descriptor fd in fdset.

Methods inherited from interface com.sun.cldc.jna.Library
`initConstInt`

Field Detail

### INSTANCE

    static final Select INSTANCE

### FD_SETSIZE

    static final int FD_SETSIZE

  The maximum number of file descriptors that a fd_set object can hold information about.

  See Also:
    Constant Field Values

### fd_set_SIZEOF

    static final int fd_set_SIZEOF

  The maximum number of file descriptors that a fd_set object can hold information about.

  See Also:
    Constant Field Values

Method Detail

### FD_CLR

    void FD_CLR(int fd,
                Pointer fd_set)

  removes fd from fdset

  Parameters:
    `fd` -
    `fd_set` -

### FD_SET

    void FD_SET(int fd,
                Pointer fd_set)

  includes a particular descriptor fd in fdset.

  Parameters:
    `fd` -
    `fd_set` -

### FD_ISSET

    boolean FD_ISSET(int fd,
                     Pointer fd_set)

  is non-zero if fd is a member of fd_set, zero otherwise.

  Parameters:
    `fd` -
    `fd_set` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"